SEAL_Gamma Struct Reference

## Public Member Functions

| SEAL_Gamma (const byte *key)
word32 | Apply (word32 i)

## Public Attributes

SecBlock< word32 > | H
SecBlock< word32 > | Z
SecBlock< word32 > | D
word32 | lastIndex

## Detailed Description

Definition at line 21 of file seal.cpp.

## Constructor & Destructor Documentation

## SEAL_Gamma()

SEAL_Gamma::SEAL_Gamma | ( | const byte * | key | ) |

inline

Definition at line 23 of file seal.cpp.

## Member Function Documentation

## Apply()

word32 SEAL_Gamma::Apply | ( | word32 | i | ) |

Definition at line 36 of file seal.cpp.

## Member Data Documentation

## H

SecBlock<word32> SEAL_Gamma::H

Definition at line 32 of file seal.cpp.

## Z

SecBlock<word32> SEAL_Gamma::Z

Definition at line 32 of file seal.cpp.

## D

SecBlock<word32> SEAL_Gamma::D

Definition at line 32 of file seal.cpp.

## lastIndex

word32 SEAL_Gamma::lastIndex

Definition at line 33 of file seal.cpp.

The documentation for this struct was generated from the following file:

- seal.cpp